LFR-FSW - Support #1091

Lost some BP packets in BURST mode
27/04/2017 11:51 AM - Veronique bouzid

Status: Feedback Start date: 27/04/2017
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

1 test "CAS NOMINAL"

on entre en burst mode

17:34:51.300563, TC_LFR_ENTER_MODE (CP_LFR_MODE=2)
17:34:52.481738, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x27b7{503ffff
17:34:52.537164, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x27b7{504000a

17:34:53.482246, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x27b7f5050000
17:34:53.537797, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x27b7{505000a

17:34:54.482316, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x27b7f5060000
17:34:54.537483, TM_LFR_SCIENCE_BURST BP1_F1, TIME=0x27b7f506000a

17:34:55.481104, TM_LFR_SCIENCE_BURST_BP1_FO0, TIME=0x27b7f5070000
17:34:55.534692, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x27b7f507000b

17:34:56.486681, TM_LFR_SCIENCE_BURST_BP1_FO0, TIME=0x44a32a03c608
17:34:56.489927, TM_LFR_SCIENCE_BURST_BP2_F0, TIME=0x44a32a03c608

17:34:56.527804, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
17:34:56.548004, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x44a32a03c612
17:34:56.587099, TM_LFR_SCIENCE_BURST_BP2_F1, TIME=0x44a32a03c612
17:34:56.587799, TM_LFR_TC_EXE_SUCCESS, TIME=0x44a32a04efa2

17:34:56.920005, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x44a32a050001

Ce cas est nominal. On recoit bien tous les produits BURST meme apres le passage en SBM1.

5 BURST BP1_F0
5 BURST BP1_F1
1 BURST_BP2_F0
1 BURST BP2_F1

-Le meme test rejoué " ERREUR"
16:27:43.862845, TC_LFR_ENTER_MODE (CP_LFR_MODE=2)
16:27:43.871156, TM_LFR_TC_EXE_SUCCESS, TIME=0x318b8203e9a3

16:27:45.049608, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x318b82040001
16:27:45.105166, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x318b8204000b

16:27:46.050847, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x318b82050001
16:27:46.106364, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x318b8205000b

16:27:47.049695, TM_LFR_SCIENCE_BURST_BP1_FO0, TIME=0x318b82060001
16:27:47.104954, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x318b8206000c

16:27:48.049311, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x318b82070001
16:27:48.103473, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x318b8207000c

16:27:49.055988, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x3d633003c8cd
16:27:49.058668, TM_LFR_SCIENCE_BURST_BP2_F0, TIME=0x3d633003c8cd

16:27:49.084134, TC_LFR_ENTER_MODE (CP_LFR_MODE=3)
16:27:49.094502, TM_LFR_TC_EXE_SUCCESS, TIME=0x3d633004ebbe
16:27:49.476704, TM_LFR_SCIENCE_SBM1_BP1_F0, TIME=0x3d6330050000

--> la il nous manque BURST_BP1_F1 etun BURST_BP2_F1 un on a seulement recu
5 BURST _BP1_F0
4 BURST_BP1_F1
1 BURST_BP2_F0

Ma piste s oriente vers le changement de mode qui resette les buffers alors parfois les produits burst sont deja dabns la file d attente
pour envoi et parfois
non

--> Peux-tu expliquer ?

J ai rencontré plusieurs ce petit dysfonctionnement souvent sur le burst mais egalement surles NORMAL_BP NORMAL_ASM et
sur les BP en SBM2.

Je ne classe pas cette issue en BUG car je pense que c'est le comportement de LFR et qu il faut juste documenter ce point.

Contexte du test

FSW 3.2.0.15

VHDL 3.1.91

SocExplorerEngine.getSocExplorer: Version = 0.7.0, Branch = default, Changeset =
c459540a6dbdcbb4e17f204685fce02c070bad71+

EQM sans Timegen

StarDundee

History

#1 - 27/04/2017 12:31 PM - Veronique bouzid
- Subject changed from Loss some BP packets in BURST mode to Lost some BP packets in BURST mode

#2 - 28/04/2017 11:42 AM - paul leroy

- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

Je trouve les TIME bizarres dans ton log, tu peux vérifier les valeurs? Le coarse time est trés différents entre ces deux séries de lignes:

16:27:48.049311, TM_LFR_SCIENCE_BURST_BP1_F0, TIME=0x318b82070001
16:27:48.103473, TM_LFR_SCIENCE_BURST_BP1_F1, TIME=0x318b8207000¢

16:27:49.055988, TM_LFR_SCIENCE_BURST BP1_FO0, TIME=0x3d633003c8cd
16:27:49.058668, TM_LFR_SCIENCE_BURST_BP2_F0, TIME=0x3d633003c8cd

#3 - 28/04/2017 11:44 AM - Veronique bouzid

- Assignee changed from Veronique bouzid to paul leroy

Oui car entre temps, on a recu une TC_LFR_UPDATE_TIME ....

#4 - 28/04/2017 01:33 PM - paul leroy
- Assignee changed from paul leroy to Veronique bouzid
J'imagine que le changement de mode a été exécuté avant I'envoi du paquet TM_LFR_SCIENCE_BURST_BP1_F1.

Il faudrait voir si tu peux extrapoler la valeur du temps que le paquet aurait dd avoir par rapport a la date de commutation demandée et par rapport a
la date d'acquittement de la TC_LFR_ENTER_MODE.

En général, les taches en _FO0 sont prioritaires par rapport aux taches en _F1. Par manque de bol, tu as peut-étre commuté juste avant I'émission du
TM_LFR_SCIENCE_BURST_BP1_F1.

La réception d'une demande de changement de mode valide BURST=>SBM1 arréte tout de suite le mode BURST.
